--[[---------------------------------------------------------------------------
	Multi 1v1 Arena mod
	By x[N]ir  USGN [#4841]
--]]---------------------------------------------------------------------------

--// Checking mod
if arena then
	print("\169255000000[ERROR]: arena mod is already launched !")
	return 1
end

arena = {} --// Main table

local MOD_ROOT = "sys/lua/arena/" --// Mod folder from cs2d ROOT
local MOD_FILES = { --// Mod files
	"cfg/config.cfg",
	"lua/constants.lua",
	"lua/utils/debug.lua",
	"lua/utils/array.lua",
	"lua/utils/queue.lua",
	"lua/utils/hudtxt.lua",
	"lua/utils/generic.lua",
	"lua/io/file.lua",
	"lua/server/hooks.lua",
	"lua/server/message.lua",
	"lua/server/map.lua",
	"lua/server/mapvote.lua",
	"lua/server/settings.lua",
	"lua/player/hooks.lua",
	"lua/player/init.lua",
	"lua/player/stats.lua",
	"lua/player/favorite_weapons.lua",
	"lua/core/elo.lua",
	"lua/core/funcs.lua",
	"lua/core/init.lua",
	"lua/core/misc.lua",
	"lua/core/teleport.lua",
	"lua/core/update.lua",
	"lua/core/slots.lua",
	"lua/core/round.lua",
	"lua/core/fix.lua",
	"lua/core/queue.lua",
	"lua/core/result.lua",
	"lua/core/music.lua",
	"lua/core/debug.lua",
	"lua/menu/setup.lua",
	"lua/menu/funcs.lua",
	"lua/menu/static.lua",
	"lua/menu/hooks.lua",
}

--[[---------------------------------------------
	This function is called on server start
--]]---------------------------------------------
local function main()
	--// Loading files
	for _, file in ipairs(MOD_FILES) do
		dofile(MOD_ROOT .. file)
	end

	--// Attaching hooks
	for _, hook in pairs(arena._HOOKS) do
		addhook(hook, "arena." .. hook)
	end

	arena.check_map()
	arena.init_spawns()
	arena.debug_map()
	arena.apply_settings()
	arena.reset_all_arena_vars()
	arena.loadMaps()
end
main()