--[[---------------------------------------------------------------------------
	Multi 1v1 Arena mod
	By x[N]ir  USGN [#4841]
--]]---------------------------------------------------------------------------

--[[---------------------------------------------
	Prints arena infos
--]]---------------------------------------------
function arena.display_arena_infos()
	--// Debug mode must be enabled
	if not arena.DEBUG then 
		return 
	end

	--// Loop through each arena
	for stage = 1, arena.MAX_STAGE do
		local p1 = arena.player_1[stage]
		local p2 = arena.player_2[stage]
		local p1_name = p1 > 0 and player(p1, "name") or "no opponent"
		local p2_name = p2 > 0 and player(p2, "name") or "no opponent"
		local p1_elo = p1 > 0 and arena.elo[p1] or 0
		local p2_elo = p2 > 0 and arena.elo[p2] or 0
		local winner = arena.winners[stage]
		local looser = arena.loosers[stage]
		local round_type = arena.round_type[stage] or "nil"

		--// Not empty
		if p1 > 0 or p2 > 0 then
			arena.debug("============ Arena <" .. stage .. "> ============")
			arena.debug("IDs: " .. p1 .. " - " .. p2)
			arena.debug("Elos: " .. p1_elo .. " - " .. p2_elo)
			arena.debug("Names: " .. p1_name .. " - " .. p2_name)
			arena.debug("Winner/Looser: " .. winner .. " - " .. looser)
			arena.debug("Round type: " .. round_type)
		end
	end
end