--[[---------------------------------------------------------------------------
	Multi 1v1 Arena mod
	By x[N]ir  USGN [#4841]
--]]---------------------------------------------------------------------------


--[[---------------------------------------------
	Returns the opponent id of the specified player

	@param number id: player ID
--]]---------------------------------------------
function arena.get_opponent(id)
	local stage = arena.stage[id]
	local opponent = 0

	if arena.player_1[stage] == id then
		if arena.player_2[stage] > 0 and arena.player_2[stage] ~= id then
			opponent = arena.player_2[stage]
		end
	elseif arena.player_2[stage] == id then
		 if arena.player_1[stage] > 0 and arena.player_1[stage] ~= id then
			opponent = arena.player_1[stage]
		end
	end

	return opponent
end

--[[---------------------------------------------
	Returns the opponent name of the specified player

	@param number id: player ID
--]]---------------------------------------------
function arena.get_opponent_name(id)
	local stage = arena.stage[id]
	local name = "no opponent"

	if arena.player_1[stage] == id then
		if arena.player_2[stage] > 0 then
			if player(arena.player_2[stage], "exists") then
				name = player(arena.player_2[stage], "name")
			end
		end
	elseif arena.player_2[stage] == id then
		if arena.player_1[stage] > 0 then
			if player(arena.player_1[stage], "exists") then
				name = player(arena.player_1[stage], "name")
			end
		end
	end

	return arena.PURPLE .. name
end

--[[---------------------------------------------
	Remove the specified player from the arenas

	@param number id: player ID
--]]---------------------------------------------
function arena.remove_player(id)
	local stage = arena.stage[id] --// Current arena stage

	arena.debug("Removing " .. player(id, "name") .. " from <" .. stage .. " >")
	arena.debug("P1: " .. arena.player_1[stage])
	arena.debug("P2: " .. arena.player_2[stage])

	--// Reset the player ID
	if arena.player_1[stage] == id then
		arena.player_1[stage] = 0
	elseif arena.player_2[stage] == id then
		arena.player_2[stage] = 0
	else
		arena.error("This should not happen !")
		arena.error("Can't remove properly: " .. player(id, "name"))
	end

	--// Removes the player from arena
	arena.stage[id] = 0
	arena.leaders[id] = nil
	arena.debug(player(id, "name") .. " is no longer in an arena !")
end

--[[---------------------------------------------
	Removes the specified player from the arena

	@param number stage: an arena stage
	@param number id: player ID
--]]---------------------------------------------
function arena.remove_alone_player(stage, id)
	if arena.player_1[stage] == id then
		arena.player_1[stage] = 0
	elseif arena.player_2[stage] == id then
		arena.player_2[stage] = 0
	end

	arena.round_type[stage] = 0
end