--[[---------------------------------------------------------------------------
	Multi 1v1 Arena mod
	By x[N]ir  USGN [#4841]
--]]---------------------------------------------------------------------------

--[[---------------------------------------------
	Spawns the specified player at the right position

	@param number id: player ID
	@param number stage: current stage
--]]---------------------------------------------
function arena.teleport_player(id, stage)
	local team = player(id, "team") --// Team number
	local tx, ty --// Spawn coordinates (in pixels)	

	if team == 1 then --// Terrorist spawn
		tx, ty =  arena.spawn_tt[stage][1], arena.spawn_tt[stage][2]
	else --// Counter-Terrorist spawn
		tx, ty =  arena.spawn_ct[stage][1], arena.spawn_ct[stage][2]
	end

	parse("setpos " .. id .. " " .. tx .. " " .. ty)
	arena.debug("Teleported <" .. player(id, "name") .. 
		"> to {" .. tx .. "," .. ty .. "}")

	local msg = "You are in the arena " .. arena.GREEN .. stage .. 
		arena.WHITE .. " against " .. arena.get_opponent_name(id)

	arena.server_msg(msg, id)
end

--[[---------------------------------------------
	Spawns (Teleport) players on startround
--]]---------------------------------------------
function arena.teleport_players()
	--// Through each arena
	for stage = 1, arena.MAX_STAGE do
		local p1 = arena.player_1[stage] --// player1 ID
		local p2 = arena.player_2[stage] --// player2 ID

		if p1 > 0 and player(p1, "exists") then --// Occupied slot
			arena.teleport_player(p1, stage)
			arena.refresh_stats(p1)
		end

		if p2 > 0 and player(p2, "exists") then --// Occupied slot
			arena.teleport_player(p2, stage)
			arena.refresh_stats(p2)
		end
	end
end --// arena.teleport_players()