--[[---------------------------------------------------------------------------
	Multi 1v1 Arena mod
	By x[N]ir  USGN [#4841]
--]]---------------------------------------------------------------------------

--[[---------------------------------------------------------------------------
	Changes the menu of the player

	@param number id: player ID
	@param table args: button's arguments
--]]---------------------------------------------------------------------------
function arena.change_menu(id, args)
	--// Menu can be eitheir dynamic or static
	local menu = args.static and arena.menus[args.menu] or args.menu
	--local prev_menu = arena.player_menus[id]

	--// Update new state
	menu.page = 1
	arena.player_menus[id] = menu

	--// This menu should be displayed
	if args.display then
		arena.display_menu(id)
	end
end

--[[---------------------------------------------------------------------------
	Updates player favorite setting depending on the category

	@param number id: player ID
	@param table args: button's arguments
--]]---------------------------------------------------------------------------
function arena.change_fav_setting(id, args)
	if args.setting == "pistol" then
		if arena.fav_pistols[id] ~= args.wpn then
			arena.fav_pistols[id] = args.wpn
			if args.wpn == 0 then return end
			arena.server_msg(arena.GREEN .. "Your " .. arena.WHITE .. 
				" favorite pistol is now " .. arena.RED .. 
				itemtype(args.wpn, "name"), id)
		end
	elseif args.setting == "rifle" then
		if arena.fav_rifles[id] ~= args.wpn then
			arena.fav_rifles[id] = args.wpn
			if args.wpn == 0 then return end
			arena.server_msg(arena.GREEN .. "Your " .. arena.WHITE .. 
				" favorite rifle is now " .. arena.RED .. 
				itemtype(args.wpn, "name"), id)
		end
	elseif args.setting == "preferences" then
		if arena.preferences[id] ~= args.pref then
			arena.preferences[id] = args.pref
			arena.server_msg(arena.GREEN .. "Your " .. 
				arena.WHITE .. "preferences have been updated !", id)
		end
	elseif args.setting == "rounds" then
		if args.type == "pistols" then
			if arena.pistols_enabled[id] ~= args.value then
				arena.pistols_enabled[id] = args.value

				if args.value == 0 then
					arena.server_msg("Pistols rounds are now " ..
						arena.RED .. "disabled", id)
				else
					arena.server_msg("Pistols rounds are now " ..
						arena.GREEN .. "enabled", id)
				end
			end
		elseif args.type == "awp" then
			if arena.awp_enabled[id] ~= args.value then
				arena.awp_enabled[id] = args.value

				if args.value == 0 then
					arena.server_msg("AWP rounds are now " ..
						arena.RED .. "disabled", id)
				else
					arena.server_msg("AWP rounds are now " ..
						arena.GREEN .. "enabled", id)
				end
			end
		elseif args.type == "laser" then
			if arena.laser_enabled[id] ~= args.value then
				arena.laser_enabled[id] = args.value

				if args.value == 0 then
					arena.server_msg("Laser rounds are now " ..
						arena.RED .. "disabled", id)
				else
					arena.server_msg("Laser rounds are now " ..
						arena.GREEN .. "enabled", id)
				end
			end
		elseif args.type == "knife" then
			if arena.knife_enabled[id] ~= args.value then
				arena.knife_enabled[id] = args.value

				if args.value == 0 then
					arena.server_msg("Knife rounds are now " ..
						arena.RED .. "disabled", id)
				else
					arena.server_msg("Knife rounds are now " ..
						arena.GREEN .. "enabled", id)
				end
			end
		end
	elseif args.setting == "sfx" then
		if arena.sfx_enabled[id] ~= args.value then
			arena.sfx_enabled[id] = args.value

			if args.value == 0 then
				arena.server_msg("SFX sounds are now " ..
					arena.RED .. "disabled", id)
			else
				arena.server_msg("SFX sound are now " ..
					arena.GREEN .. "enabled", id)
			end
		end
end
end