--[[---------------------------------------------------------------------------
	Multi 1v1 Arena mod
	By x[N]ir  USGN [#4841]
--]]---------------------------------------------------------------------------

arena.player_menus = {} --// player menus

--[[---------------------------------------------------------------------------
	Creates a new menu table

	@param string title: the menu's title (Menu by default)
	@param table buttons: buttons table  (Empty array by default)
--]]---------------------------------------------------------------------------
function arena.create_menu(title, buttons)
	return {
		title = title or "Menu",
		buttons = buttons or {}, 
		page = 1,
		pages = 1,
		opened = false,
	}	
end

--[[---------------------------------------------------------------------------
	Displays the current menu of the specified player

	@param number id: player ID
--]]---------------------------------------------------------------------------
function arena.display_menu(id)
	local m = arena.player_menus[id] --// player menu

	--// Page update
	m.pages = math.ceil(#m.buttons / 7)

	--// No buttons no need to go further
	if #m.buttons < 1 then
		m.opened = false
		return 
	else
		m.opened = true
	end

	--// index fix
	if m.page < 1 then m.page = 1 end
	if m.page > m.pages then m.page = m.pages end

	
	local menu_string = m.title --// whole menu parameter
	local start_index = m.page * 7 - 6 --// button starting index
	local end_index = m.page * 7 --// button end index

	--// Construct menu string according to buttons labels
	for i = start_index, end_index do
		local b = m.buttons[i]

		if b then --// Available button
			menu_string = menu_string .. "," .. b.label
		else --// Unavailable button
			menu_string = menu_string .. ","
		end
	end

	--// Previous
	if m.page > 1 then
		menu_string = menu_string .. ",Previous" 
	else
		menu_string = menu_string .. ","
	end

	--// Next
	if m.page < m.pages then
		menu_string = menu_string .. ",Next" 
	end

	menu(id, menu_string)
end