--[[---------------------------------------------------------------------------
	Multi 1v1 Arena mod
	By x[N]ir  USGN [#4841]
--]]---------------------------------------------------------------------------

arena.fav_pistols = {} --// players favorite pistols
arena.fav_rifles = {} --//  players favorite rifles
--// 0 (None) 1 (pistols) 2 (rifles) 3 (awp) 4 (laser)
arena.preferences = {} 
arena.pistols_enabled = {}
arena.awp_enabled = {}
arena.laser_enabled = {}
arena.knife_enabled = {}

--[[---------------------------------------------------------------------------
	Builds the favorite menu

	@param number id: player ID
--]]---------------------------------------------------------------------------
function arena.open_favmenu(id)
	--// Fav data
	local pistol = arena.fav_pistols[id] 
	local rifle = arena.fav_rifles[id]
	local preference = arena.preferences[id]
	local pistols_enabled = arena.pistols_enabled[id]
	local awp_enabled = arena.awp_enabled[id]
	local laser_enabled = arena.laser_enabled[id]
	local knife_enabled = arena.knife_enabled[id]
	local sfx_enabled = arena.sfx_enabled[id]

	--// Preference stuff
	if preference == 0 then preference = "None" end
	if preference == 1 then preference = "Pistols" end
	if preference == 2 then preference = "Rifles" end
	if preference == 3 then preference = "AWP" end
	if preference == 4 then preference = "Laser" end

	--// Enabled stuff
	if pistols_enabled == 0 then pistols_enabled = "disabled" end
	if pistols_enabled == 1 then pistols_enabled = "enabled" end
	if awp_enabled == 0 then awp_enabled = "disabled" end
	if awp_enabled == 1 then awp_enabled = "enabled" end
	if laser_enabled == 0 then laser_enabled = "disabled" end
	if laser_enabled == 1 then laser_enabled = "enabled" end
	if knife_enabled == 0 then knife_enabled = "disabled" end
	if knife_enabled == 1 then knife_enabled = "enabled" end
	if sfx_enabled == 0 then sfx_enabled = "disabled" end
	if sfx_enabled == 1 then sfx_enabled = "enabled" end

	--// Current pistol
	if pistol > 0 then
		pistol = itemtype(pistol, "name")
	else
		pistol = "None"
	end

	--// Current rifle
	if rifle > 0 then
		rifle = itemtype(rifle, "name")
	else
		rifle = "None"
	end

	local m = arena.create_menu("Preferences", {
		{label = "Pistol: " .. pistol, func = arena.change_menu, args = 
			arena.args[1]},
		{label = "Rifles: " .. rifle, func = arena.change_menu, args =
			arena.args[2]},
		{label = "Preferences: " .. preference, func = arena.change_menu,
			args = arena.args[3]},
		{label = "Pistols rounds: " .. pistols_enabled, func = arena.change_menu,
			args = arena.args[4]},
		{label = "AWP rounds: " .. awp_enabled, func = arena.change_menu,
			args = arena.args[5]},
		{label = "Laser rounds: " .. laser_enabled, func = arena.change_menu,
			args = arena.args[6]},
		{label = "Knife rounds: " .. knife_enabled, func = arena.change_menu,
			args = arena.args[7]},
		{label = "SFX: " .. sfx_enabled, func = arena.change_menu,
			args = arena.args[8]},
	})

	arena.change_menu(id, {menu = m, display = 1})
end