--[[---------------------------------------------------------------------------
	Multi 1v1 Arena mod
	By x[N]ir  USGN [#4841]
--]]---------------------------------------------------------------------------

--[[---------------------------------------------
	Called on startround

	@param number mode: startround mode
--]]---------------------------------------------
function arena.startround(mode)
	arena.debug("============= NEW ROUND (" .. mode .. ") =============")

	--// Game commencing or Restart
	if mode == 4 or mode == 5 then
		arena.round = 1
	end

	--// The game is finished
	if arena.round == (arena.MAX_ROUNDS - 5) then
		arena.open_mapvote_menu()
	elseif arena.round == arena.MAX_ROUNDS then
		arena.process_map_vote()
	end
	
	arena.refresh_round_hud()
	arena.teleport_players()
	arena.reset_arena_vars()
	arena.display_arena_infos()
end

--[[---------------------------------------------
	Called on endround

	@param number mode: endround mode
--]]---------------------------------------------
function arena.endround(mode)
	arena.debug("============= ENDROUND (" .. mode .. ") =============")

	--// Not Game commencing or Restart
	if mode ~= 4 and mode ~= 5 then
		arena.round = arena.round + 1
		timer(4000, "arena.remove_weapons")
	end

	arena.update_arenas()
	arena.endround_sound()
end

--[[---------------------------------------------
	Called every minute
--]]---------------------------------------------
function arena.minute()
	--// Five minutes have passed
	if arena.sv_minute == 5 then
		arena.server_msg(arena.RED .. "Press [F2] for guns !")
		arena.server_msg(arena.RED .. "!bc <message>")
		arena.server_msg(arena.PURPLE .. 
			"Multi1v1 Arena Script powered by x[N]ir")
		arena.sv_minute = 1
	else
		arena.sv_minute = arena.sv_minute + 1
	end
end