--[[---------------------------------------------------------------------------
	Multi 1v1 Arena mod
	By x[N]ir  USGN [#4841]
--]]---------------------------------------------------------------------------

--[[---------------------------------------------------------------------------
	Add a map vote

	@param number id: player ID
	@param number args: map index
--]]---------------------------------------------------------------------------
function arena.add_map_vote(id, args)
	local map_name = arena.maps[args]
	local votes = arena.maps_votes[map_name]

	votes[#votes + 1] = id
	arena.server_msg(player(id, "name") .. " has voted for " .. map_name)
end

--[[---------------------------------------------------------------------------
	Process the map votes results
--]]---------------------------------------------------------------------------
function arena.process_map_vote()
	local num_players = #player(0, "table") --// Number of player on the server
	local next_map = map("name") --// Next map

	--// Search for the most voted map
	for map_name, votes in pairs(arena.maps_votes) do
		local vote_percent = #votes / num_players --// vote percent

		if vote_percent >= arena.MAP_VOTE_PERCENT then --// Enough votes
			next_map = map_name
			break
		end
	end

	arena.display_winner()

	if next_map == map("name") then
		arena.server_msg("Here we go for an other game !")
		arena.round = 1
		arena.champion = 0
		arena.leaders = {}
	else
		local players = player(0, "table") --// Players IDs

		--// Save arena users stats
		for _, id in pairs(players) do
			if arena.stage[id] > 0 then
				arena.save_stats(id)
			end
		end

		arena.server_msg("Next map: " .. next_map)
		timer(5000, 'parse', 'sv_map "' .. next_map .. '"')
	end
end

--[[---------------------------------------------------------------------------
	Opens the mapvote for all players
--]]---------------------------------------------------------------------------
function arena.open_mapvote_menu()
	local players = player(0, "table")

	for k, id in pairs(players) do
		arena.change_menu(id, arena.args[9])
	end
end