--[[---------------------------------------------------------------------------
	Multi 1v1 Arena mod
	By x[N]ir  USGN [#4841]
--]]---------------------------------------------------------------------------

--[[---------------------------------------------
	Displays a hud text

	@param number id: text ID
	@param string text: a hud text
	@param number x: text x coordinates (pixels)
	@param number y: text y coordinates (pixels)
	@param string color: rgb value (optionnal)
	@param number align: alignment value (optionnal)
--]]---------------------------------------------
function arena.hudtxt(id, text, x, y, color, align)
	local color = "\169" .. (color or "255255255") --// White by default
	local align = align or 0 --// Left alignment by default

	parse('hudtxt ' .. id .. ' "' .. color .. text ..'" ' .. 
		x .. ' ' .. y .. ' ' .. align)
end

--[[---------------------------------------------
	Clears the specified server texts

	@param table arg: texts ID
--]]---------------------------------------------
function arena.cleartxt(...)
	--// Removing all server texts
	for _, v in ipairs(arg) do
		parse('hudtxt ' .. v)
	end
end

--[[---------------------------------------------
	Displays a player hud text

	@param number id: player ID
	@param number textid: a text ID
	@param string text: a player hud text
	@param number x: text x coordinates (pixels)
	@param number y: text y coordinates (pixels)
	@param string color: rgb value (optionnal)
	@param number align: alignment value (optionnal)
--]]---------------------------------------------
function arena.hudtxt2(id, textid, text, x, y, color, align)
	local color = "\169" .. (color or "255255255") --// White by default
	local align = align or 0 --// Left alignment by default

	parse('hudtxt2 ' .. id .. ' ' .. textid .. ' "' .. color .. text ..'" ' .. 
		x .. ' ' .. y .. ' ' .. align)
end

--[[---------------------------------------------
	Clears the specified player texts
	
	@param number id: player ID
	@param table arg: texts ID
--]]---------------------------------------------
function arena.cleartxt2(id, ...)
	--// Removing all player texts
	for _, v in ipairs(arg) do
		parse('hudtxt2 ' .. id .. ' ' .. v)
	end
end